FROM alpine:latest

RUN apk update 
RUN apk add apache2 --no-cache

ENV APACHE_LOCK_DIR="/var/lock"
ENV APACHE_PID_FILE="/var/run/apache2.pid"
ENV APACHE_RUN_USER="www-data"
ENV APACHE_RUN_GROUP="www-data"
ENV APACHE_LOG_DIR ="/var/log/apache2"

ENTRYPOINT [ "/usr/sbin/httpd", "-D", "FOREGROUND" ]